﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;

	public class Damier extends Sprite
	{
		private var col:Number = 9;
		private var line:Number = 9;
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number = 700;
		private var diametre:Number = 80
		public function Damier()
		{
			grid = new Sprite();
			addChild(grid);
			grid.x =100;
			grid.y = 100;
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			var dist:Number;
			var distx:Number;
			var disty:Number;
			points = new Array();
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line;j++){
					dist = Math.sqrt(Math.pow((j*50-mouseX+grid.x),2) + Math.pow(i*50-mouseY+grid.y,2));
					if(dist<diametre && dist>=10){
						distx= ((j*50)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*50)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*50+amplitude/distx,"y":i*50+amplitude/disty});
					}else{
						points.push({"x":j*50,"y":i*50});
					}
				}
			}
			grid.graphics.clear();
			grid.graphics.lineStyle(1,0xffffff);
			for(var k:Number=0;k<points.length;k++){
				grid.graphics.beginFill(0xffffff);
				grid.graphics.drawCircle(points[k].x,points[k].y,10);
				grid.graphics.endFill();
				if((k+1)%col != 0){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+1].x,points[k+1].y);
				}
				if(k+col < col*line){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+col].x,points[k+col].y);
				}
			}
		}
	}
}